# include "Ximage.h"

int args (int *argc, char **argv) {

  int N;

  MAP_WINDOW = TRUE;
  if ((N = get_argument (*argc, argv, "-nomap"))) {
    remove_argument(N, argc, argv);
    MAP_WINDOW = FALSE;
  }

  NAME_WINDOW = NULL;
  if ((N = get_argument (*argc, argv, "-name"))) {
    remove_argument(N, argc, argv);
    NAME_WINDOW = strcreate (argv[N]);
    remove_argument(N, argc, argv);
  }

  USE_XWINDOW = TRUE;
  if ((N = get_argument (*argc, argv, "-noX"))) {
    remove_argument(N, argc, argv);
    USE_XWINDOW = FALSE;
  }

  if ((N = get_argument (*argc, argv, "-debug"))) {
    remove_argument(N, argc, argv);
    DEBUG = TRUE;
  } else {
    DEBUG = FALSE;
  }

  FOREGROUND = FALSE;
  if ((N = get_argument (*argc, argv, "-fg"))) {
    remove_argument(N, argc, argv);
    FOREGROUND = TRUE;
  }

  return (TRUE);
}
